| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
IClassIDSvc Class Referenceabstract

interface to the CLID database More...

`#include <GaudiKernel/IClassIDSvc.h>`

Inheritance diagram for IClassIDSvc:
[legend]
Collaboration diagram for IClassIDSvc:
[legend]

## Public Member Functions
virtual CLID | nextAvailableID () const =0
| get next available CLID More...
virtual bool | isIDInUse (const CLID &id) const =0
| check if id is used More...
virtual bool | isNameInUse (const std::string &name) const =0
| check if name is used More...
virtual StatusCode | getTypeNameOfID (const CLID &id, std::string &typeName) const =0
| get user assigned type name associated with clID More...
virtual StatusCode | getTypeInfoNameOfID (const CLID &id, std::string &typeInfoName) const =0
| get user assigned type-info name associated with clID More...
virtual StatusCode | getIDOfTypeName (const std::string &typeName, CLID &id) const =0
| get id associated with type name (if any) More...
virtual StatusCode | getIDOfTypeInfoName (const std::string &typeInfoName, CLID &id) const =0
| get id associated with type-info name (if any) More...
virtual StatusCode | getPackageInfoForID (const CLID &id, Athena::PackageInfo &info) const =0
| get type name associated with clID (if any) More...
virtual StatusCode | setTypePackageForID (const CLID &, const std::string &typeName, const Athena::PackageInfo &, const std::string &typeInfoName="")=0
| associate type name, package info and type-info name with clID More...
virtual | ~IClassIDSvc ()
| destructor More...
Public Member Functions inherited from IService
| DeclareInterfaceID (IService, 4, 0)
| InterfaceID. More...
virtual StatusCode | sysInitialize ()=0
| Initialize Service. More...
virtual StatusCode | sysStart ()=0
| Start Service. More...
virtual StatusCode | sysStop ()=0
| Stop Service. More...
virtual StatusCode | sysFinalize ()=0
| Finalize Service. More...
virtual StatusCode | sysReinitialize ()=0
| Re-initialize the Service. More...
virtual StatusCode | sysRestart ()=0
| Re-start the Service. More...
virtual | ~IService ()=default
| virtual destructor More...
Public Member Functions inherited from extend_interfaces< INamedInterface, IStateful >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Gaudi boilerplate. More...

## Additional Inherited Members
Public Types inherited from extend_interfaces< INamedInterface, IStateful >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids...>::type
| take union of the ext_iids of all Interfaces... More...
Protected Member Functions inherited from IService
virtual void | setServiceManager (ISvcManager *)=0

## Detailed Description

interface to the CLID database

Author
  Paolo Calafiura pcala.nosp@m.fiur.nosp@m.a@lbl.nosp@m..gov - ATLAS Collaboration

Id
  IClassIDSvc.h,v 1.7 2009-01-15 19:05:54 binet Exp

Definition at line 23 of file IClassIDSvc.h.

## Constructor & Destructor Documentation

virtual IClassIDSvc::~IClassIDSvc | ( |  | ) |
| virtual

destructor

## Member Function Documentation

virtual StatusCode IClassIDSvc::getIDOfTypeInfoName | ( | const std::string & | typeInfoName,
|  | CLID & | id
| ) |  | const
| pure virtual

get id associated with type-info name (if any)

virtual StatusCode IClassIDSvc::getIDOfTypeName | ( | const std::string & | typeName,
|  | CLID & | id
| ) |  | const
| pure virtual

get id associated with type name (if any)

virtual StatusCode IClassIDSvc::getPackageInfoForID | ( | const CLID & | id,
|  | Athena::PackageInfo & | info
| ) |  | const
| pure virtual

get type name associated with clID (if any)

virtual StatusCode IClassIDSvc::getTypeInfoNameOfID | ( | const CLID & | id,
|  | std::string & | typeInfoName
| ) |  | const
| pure virtual

get user assigned type-info name associated with clID

virtual StatusCode IClassIDSvc::getTypeNameOfID | ( | const CLID & | id,
|  | std::string & | typeName
| ) |  | const
| pure virtual

get user assigned type name associated with clID

const InterfaceID & IClassIDSvc::interfaceID | ( |  | ) |
| inline static

Gaudi boilerplate.

Definition at line 58 of file IClassIDSvc.h.

58 {
59 static const InterfaceID _IID("IClassIDSvc", 1, 0);
60 return _IID;
61 }
InterfaceID
Interface ID class.
Definition: IInterface.h:30

virtual bool IClassIDSvc::isIDInUse | ( | const CLID & | id | ) | const
| pure virtual

check if id is used

virtual bool IClassIDSvc::isNameInUse | ( | const std::string & | name | ) | const
| pure virtual

check if name is used

virtual CLID IClassIDSvc::nextAvailableID | ( |  | ) | const
| pure virtual

get next available CLID

Exceptions

  std::runtime_error | if no CLID can be allocated

virtual StatusCode IClassIDSvc::setTypePackageForID | ( | const CLID & | ,
|  | const std::string & | typeName,
|  | const Athena::PackageInfo & | ,
|  | const std::string & | typeInfoName = `""`
| ) |  |
| pure virtual

associate type name, package info and type-info name with clID

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IClassIDSvc.h